using System;
using System.Web;
using System.Collections;
using System.Web.Services;
using System.Web.Services.Protocols;


/// <summary>
/// Summary description for MyNameService
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
public class MyNameService : System.Web.Services.WebService {

    public MyNameService () {

        //Uncomment the following line if using designed components 
        //InitializeComponent(); 
    }


    [WebMethod] 
    public string[] GetNames(string prefixText, int count)
    {
        ArrayList filterList = new ArrayList(); 
        string[] names = { "AzamSharp", "Scott", "Simon", "Alan", "Michael", "Jane", "Janice" };

        foreach (string str in names)
        {
            if (str.ToLower().StartsWith(prefixText.ToLower()))
            {
                filterList.Add(str); 
            }
        }

        return (string[]) filterList.ToArray(typeof(string)); 

    }

    [WebMethod]
    public string HelloWorld() {
        return "Hello World";
    }
    
}

